/**
 * @author umin <326663876@qq.com>, caixue, yangjianfeng, tangjian
 * @since
 * @copyright Copyright (c) 2018, YZKJ
 * @description 工具扩展
 */
import corNative from './cor-native'; // Cor.native
import corJS from './cor-js'; // Cor.js

let extend = list => Object.keys(list).forEach(e => {
  let target = window[e];
  let source = list[e];
  if (!target.$super) target.$super = {};
  Object.keys(source).forEach(function(p) {
    if (target[p]) target['$super'][p] = target[p];
    target[p] = source[p];
  });
});

let ext = () => {
  extend({ corNative });
};
// 挂载工具方法
extend({ corNative, corJS });

export {
  ext
};
