/**
 * @author umin <326663876@qq.com>, caixue, yangjianfeng, tangjian
 * @since
 * @copyright Copyright (c) 2018, YZKJ
 * @description 同步状态
 */
import {addCssRule} from './stylesheet';

let synchronize = () => {
  // 同步设备状态
  let info = corJS.parse(corMPortal.getLoginInfo());
  // 共享用户信息
  Cor.user = info;
  if (info.host) config.mxm = info.host;
  if (info.jwt) config.jwt = info.jwt;
  if (info.bgColor) {
    [].forEach.call(['background-color', 'border-color', 'color'],
        r => addCssRule(`.theme-${r}`, `${r}: ${info.bgColor} !important`));
  }
  if (info.iconColor) addCssRule('.theme-icon-color', `color: ${info.iconColor} !important;`);
};

let syn = () => {
  synchronize();
};
// 同步门户信息
// synchronize();

export {
  syn
};
