/**
 * @author xxx
 * @since
 * @copyright Copyright (c) 2018, YZKJ
 * @description store
 */
import Vue from 'vue';
import VueRouter from 'vue-router';
import Vuex from 'vuex';
import App from '../App.vue';
import store from './store';
import routeJson from './route.json';

Vue.use(VueRouter);
Vue.use(Vuex);

const router = new VueRouter({
  base: __dirname,
  routes: routeJson.page.map((page) => {
    return {
      name: page.name,
      path: page.path,
      component: require('./page/' + page.component)
    };
  }),
  scrollBehavior(to, from, savedPosition) {
    return typeof savedPosition === 'object' ? savedPosition : { x: 0, y: 0 };
  }
});

corJS.ready(function() {// eslint-disable-line
  new Vue({ // eslint-disable-line
    el: '#app',
    render: h => h(App),
    router,
    store: new Vuex.Store(store)
  });
});
