var utils = require('./utils');
var config = require('../config');
process.env.NODE_ENV = process.env.NODE_ENV || 'dist';
var isProduction = process.env.NODE_ENV === 'dist' || process.env.NODE_ENV === 'build';
module.exports = {
  preserveWhitespace: false,
  loaders: utils.cssLoaders({
    sourceMap: isProduction
      ? config[process.env.NODE_ENV].productionSourceMap
      : config[process.env.NODE_ENV].cssSourceMap,
    extract: isProduction
  })
};
