/**
 * @author umin <326663876@qq.com>, caixue, yangjianfeng, tangjian
 * @since
 * @copyright Copyright (c) 2018, YZKJ
 * @description main
 */
import 'public/css/flex.css';
import 'public/css/reset.mobile.css';
import 'public/less/index.less'; // Inject Less Module
import 'public/config'; // Loader Config
import './inject'; // Inject Capable
import {ext} from '../extend'; // Extend Tools
import {syn} from '../synchronize'; // Synchronize State
import '../lib/fastclick.js'; // Fastclick for mobile

// for fastclick
document.addEventListener('DOMContentLoaded', function() {
  window.FastClick.attach(document.body);
}, false);

// for cor native inject
Cor.$event.on('corOnload', () => {
  // extend tools
  ext();
  // synchronize state
  syn();
});
